| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# part

$Revision: 1.3 $

$Date: 2002/06/12 11:18:21 $

part — A division in a book

## Synopsis

### Content Model

    part ::=
    (beginpage?,partinfo?,
     (title,subtitle?,titleabbrev?),
     partintro?,
     (appendix|chapter|toc|lot|index|glossary|bibliography|article|
      preface|refentry|reference)+)

### Attributes

Common attributes

Name | Type | Default
status | CDATA | None
label | CDATA | None

## Description

`Part`s segment a book into divisions. Each division can contain a number of component-level elements, such as `Chapter`s.

### Processing expectations

Formatted as a displayed block. `Part`s almost always introduce a forced page break. Sometimes starts on the next recto page. Frequently, they also produce a part separator page, on which may be printed the content of the `PartIntro`.

### Future Changes

In DocBook V4.0, the `ToC` element in the content model will be replaced by `TocChap`.

### Parents

These elements contain part: `book`.

### Children

The following elements occur in part: `appendix`, `article`, `beginpage`, `bibliography`, `chapter`, `glossary`, `index`, `lot`, `partinfo`, `partintro`, `preface`, `refentry`, `reference`, `subtitle`, `title`, `titleabbrev`, `toc`.

## Attributes

label

  `Label` specifies an identifying string for presentation purposes. The first `Part` in a `Book` might be labeled “Part I”, for example.

  Generally, an explicit `Label` attribute is used only if the processing system is incapable of generating the label automatically. If present, the `Label` is normative; it will used even if the processing system is capable of automatic labelling.

status

  `Status` identifies the editorial or publication status of the `Part`.

  Publication status might be used to control formatting (for example, printing a “draft” watermark on drafts) or processing (perhaps a document with a status of “final” should not include any components that are not final).

## See Also

`appendix`, `article`, `book`, `chapter`, `colophon`, `dedication`, `partintro`, `preface`, `set`.

## Examples

The following example comes from Java in a Nutshell:

    <!DOCTYPE part PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <part label="II">
    <title>Programming with the Java API</title>
    <partintro>
    <para>
    The sections in Part II present real-world examples of
    programming with Java.  You can study and learn from the
    examples, and you can adapt them for use in your own programs.
    </para>

    <para>
    The example code in these chapters is available for downloading.
    See <systemitem role="url">http://www.ora.com/catalog/books/javanut</systemitem>.
    </para>

    <literallayout>
    <xref linkend="jnut-ch-04"/>
    <xref linkend="jnut-ch-05"/>
    <xref linkend="jnut-ch-06"/>
    <xref linkend="jnut-ch-07"/>
    <xref linkend="jnut-ch-08"/>
    <xref linkend="jnut-ch-09"/>
    </literallayout>
    </partintro>
    <chapter id="jnut-ch-04"><title/><para>...</para></chapter>
    <chapter id="jnut-ch-05"><title/><para>...</para></chapter>
    <chapter id="jnut-ch-06"><title/><para>...</para></chapter>
    <chapter id="jnut-ch-07"><title/><para>...</para></chapter>
    <chapter id="jnut-ch-08"><title/><para>...</para></chapter>
    <chapter id="jnut-ch-09"><title/><para>...</para></chapter>
    </part>

parameter |  | partinfo

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.